# Uses of Class
org.eclipse.text.edits.MultiTextEdit

Packages that use MultiTextEdit
Package
Description
org.eclipse.core.filebuffers.manipulation
Provides the API for manipulating file buffers.
org.eclipse.text.edits
Provides support for describing and applying textual document editions.

## Uses of MultiTextEdit in org.eclipse.core.filebuffers.manipulation

Subclasses of MultiTextEdit in org.eclipse.core.filebuffers.manipulation
Modifier and Type
Class
Description
`class`
`MultiTextEditWithProgress`
Multi-text edit with progress reporting.

## Uses of MultiTextEdit in org.eclipse.text.edits

Methods in org.eclipse.text.edits with parameters of type MultiTextEdit
Modifier and Type
Method
Description
`boolean`
TextEditVisitor.`visit(MultiTextEdit edit)`
Visits a `MultiTextEdit` instance.
Constructors in org.eclipse.text.edits with parameters of type MultiTextEdit
Modifier
Constructor
Description
`protected`
`MultiTextEdit(MultiTextEdit other)`